unit new_record;

interface

uses
  Forms, Classes, Controls, StdCtrls;

type
  Tnew_record_ = class(TForm)
    Label1: TLabel;
    l1: TLabel;
    l2: TLabel;
    l3: TLabel;
    bclose: TLabel;
    procedure bcloseClick(Sender: TObject);
    procedure bcloseMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure bcloseMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  new_record_: Tnew_record_;

implementation

uses launcher;

{$R *.DFM}

procedure Tnew_record_.bcloseClick(Sender: TObject);
begin
close;
end;

procedure Tnew_record_.bcloseMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
LabelMouseMove(TLabel(sender), self);
end;

procedure Tnew_record_.FormMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
bclose.font.color := launcher_.font.color;
end;

procedure Tnew_record_.bcloseMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
LabelMouseDown(TLabel(sender), self);
end;

procedure Tnew_record_.FormShow(Sender: TObject);
begin
TForm(sender).OnMouseMove(nil, [ssLeft], 1, 1);
end;

end.
